QwtCurveFitter(3)

NAME
QwtCurveFitter - Abstract base class for a curve fitter.

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherited by QwtPolarFitter, QwtSplineCurveFitter, and QwtWeedingCurveFitter.

  Public Types
enum Mode { Polygon, Path }
Preferred mode of the fitting algorithm.

  Public Member Functions
virtual ~QwtCurveFitter ()
Destructor.
Mode mode () const
virtual QPolygonF fitCurve (const QPolygonF &polygon) const =0
virtual QPainterPath fitCurvePath (const QPolygonF &polygon) const =0

  Protected Member Functions
QwtCurveFitter (Mode mode)

Detailed Description

Abstract base class for a curve fitter.

Definition at line 21 of file qwt_curve_fitter.h.

Member Enumeration Documentation

  enum QwtCurveFitter::Mode

Preferred mode of the fitting algorithm. Even if a QPainterPath can always be created from a QPolygonF the overhead of the conversion can be avoided by indicating the preference of the implementation to the application code.

Enumerator

Polygon
    The fitting algorithm creates a polygon - the implementation of fitCurvePath() simply wraps the polygon into a path.

See also
    QwtWeedingCurveFitter

Path
    The fitting algorithm creates a painter path - the implementation of fitCurve() extracts a polygon from the path.

See also
    QwtSplineCurveFitter

Definition at line 32 of file qwt_curve_fitter.h.

Constructor & Destructor Documentation

  QwtCurveFitter::QwtCurveFitter (Mode mode) [explicit], [protected]
Constructor

Parameters
    mode Preferred fitting mode

Definition at line 16 of file qwt_curve_fitter.cpp.

Member Function Documentation

  virtual QPolygonF QwtCurveFitter::fitCurve (const QPolygonF & polygon) const [pure virtual]
Find a curve which has the best fit to a series of data points

Parameters
    polygon Series of data points

Returns
    Curve points

See also
    fitCurvePath()

Implemented in QwtWeedingCurveFitter, QwtSplineCurveFitter, and QwtPolarFitter.

  virtual QPainterPath QwtCurveFitter::fitCurvePath (const QPolygonF & polygon) const [pure virtual]
Find a curve path which has the best fit to a series of data points

Parameters
    polygon Series of data points

Returns
    Curve path

See also
    fitCurve()

Implemented in QwtWeedingCurveFitter, QwtSplineCurveFitter, and QwtPolarFitter.

  QwtCurveFitter::Mode QwtCurveFitter::mode () const

Returns
    Preferred fitting mode

Definition at line 27 of file qwt_curve_fitter.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.